Subject: Re: [PATCH v8 2/5] blame: introduce $ as "end of file" in -L syntax

From: Thomas Rast <[email-masked]>
Date: Wed, 13 Mar 2013 08:52:59 +0100

Junio C Hamano <[email-masked]> writes:

> Junio C Hamano <[email-masked]> writes:
>
>> Thomas Rast <[email-masked]> writes:
>>
>>> To save the user a lookup of the last line number, introduce $ as a
>>> shorthand for the last line.  This is mostly useful to spell "until
>>> the end of the file" as '-L<begin>,$'.
>>
>> Doesn't "-L <begin>" or "-L <begin>," do that already?  If it were
>> to introduce "-L $-4," or "-L$-4,+2", I would understand why the
>> addition may be useful, but otherwise I do not think it adds much
>> value.
>
> It is a quiet-period so there is no need to rush, but did anything
> happened further on this series?

No, I've been busy :-(

The only open point is in the other email:

> >>  Documentation/blame-options.txt     |  19 +------
> >>  Documentation/line-range-format.txt |  18 +++++++
> >>  Makefile                            |   2 +
> >>  builtin/blame.c                     |  99 +++-------------------------------
> >>  line-log.c                          | 105 ++++++++++++++++++++++++++++++++++++
> >>  line-log.h                          |  23 ++++++++
> >
> > Was this churn necessary?  
> >
> > It is strange to move existing functions that will be tweaked to be
> > shared by two different codepaths (blame and line-log) to the new
> > user.
> [...]
> 
> Even though I am moving from builtin/blame.c to line-log.c?  I would
> otherwise have to call from a rather lib-ish file into a "front

You haven't sent any reply to this.  Does that mean you agree?  Would
you prefer the shared file to be named something like line-range.c?

-- 
Thomas Rast
trast@{inf,student}.ethz.ch